Loading...
Searching...
No Matches
svn_client_proplist_item_t Struct Reference
Client supporting subsystem » Client commit subsystem

This is a structure which stores a filename and a hash of property names and values. More...

`#include <svn_client.h>`

## Data Fields

svn_stringbuf_t * | node_name
| The name of the node on which these properties are set.
apr_hash_t * | prop_hash
| A hash of (const char *) property names, and (svn_string_t *) property values.

## Detailed Description

This is a structure which stores a filename and a hash of property names and values.

Deprecated
  Provided for backward compatibility with the 1.4 API.

Definition at line 346 of file svn_client.h.

## Field Documentation

## node_name

svn_stringbuf_t* svn_client_proplist_item_t::node_name

The name of the node on which these properties are set.

Definition at line 349 of file svn_client.h.

## prop_hash

apr_hash_t* svn_client_proplist_item_t::prop_hash

A hash of (const char *) property names, and (svn_string_t *) property values.

Definition at line 353 of file svn_client.h.

The documentation for this struct was generated from the following file:

- svn_client.h